Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class EncodingMode

    java.lang.Object
      org.apache.fop.fonts.EncodingMode

All Implemented Interfaces:
  java.io.Serializable

public final class EncodingMode
extends java.lang.Object
implements java.io.Serializable

This class enumerates all supported encoding modes for fonts: auto, single-byte and CID.

See Also:
  Serialized Form

Field Summary
`static EncodingMode` | `AUTO` Automatic selection of encoding mode.
`static EncodingMode` | `CID` CID encoding
`static EncodingMode` | `SINGLE_BYTE` Single-byte encoding

Method Summary
`java.lang.String` | `getName()` Returns the encoding mode name.
`java.lang.String` | `toString()`
`static EncodingMode` | `valueOf(java.lang.String name)` Returns the `EncodingMode` by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTO

    public static final EncodingMode AUTO

  Automatic selection of encoding mode.

### SINGLE_BYTE

    public static final EncodingMode SINGLE_BYTE

  Single-byte encoding

### CID

    public static final EncodingMode CID

  CID encoding

Method Detail

### getName

    public java.lang.String getName()

  Returns the encoding mode name.

  Returns:
    the encoding mode name

### valueOf

    public static EncodingMode valueOf(java.lang.String name)

  Returns the `EncodingMode` by name.

  Parameters:
    `name` - the name of the encoding mode to look up
  Returns:
    the encoding mode constant

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.